Loading...
Searching...
No Matches
semaphore File Reference

Semaphore class definition. More...

`#include <l4/sys/irq>`
`#include <l4/sys/semaphore.h>`
Include dependency graph for semaphore:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | L4::Semaphore
| C++ Kernel-provided semaphore interface, see Kernel-provided semaphore for the C interface. More...

## Namespaces

namespace | L4
| L4 low-level kernel interface.

## Detailed Description

Semaphore class definition.

Definition in file semaphore.